 @import"../../node_modules/reset-scss/reset"; 
 @import"variables";
 @import"mixins";

  .wrapper{
   width: 100%;
   @include flex;
   align-content: center;
   overflow: hidden;
   font-family: Roboto;
   padding: 1%;
   h4{
    font-size: $mobile_f_size;
    font-weight: $font_w_bold;
   }
 }
 .container{
   margin: 0 auto;
 }
  .header-menu{
    position: absolute;
    top:38px;  
    right: 0;
    width:100%;
    max-width: 150px;
    display: none;
    background: #f5f5f5;
    transition: 1s /* all 0.4s ease */;
    
  } 
  .header-menu.active{
    display: block;
  } 
  .header-img{
    display:flex;
    img{
      @include img;
    }
  }
  .header-menu>li a{
    max-width:182px;
    padding: 6px 0 6px 13px;
    display: block;
    color: #4E4E4E;
    text-transform: uppercase;
    transition: 0.3s;
    font-weight:$font_w_normal ;
    font-size: $small_f_s;
    &:hover{
      color: #57A4A4;
      }
  }
 /*  @keyframes a1 {
 10% {
   height: 85%;
   opacity: 0.8;
 }
 20% {
   height: 65%;
   opacity: 0,6;
 }
 30% {
   height: 50% ;
   opacity: 0.4;
 }
 40% {
   height:35%;
   opacity: 0.3;
 }
 50% {
   height: 25%;
   opacity: 0.2;
 }
  } */
  .header-burger-wrapper{
    position:relative; 
 } 
 .header-burger {
   display: block; 
   position:relative;
   width:44px;
   height: 37px;
   background: #000;
   margin-bottom: 25px;
   margin-left: auto;
    span{
      @include span(3px,22px);
    transition: all 0.1s ease;
  }
 }
 .header-burger.active span{
   @include span(0px,0px);
  transform: rotate(deg59);
 }
.header-burger:before, .header-burger:after {
content:" ";
background: white;
position: absolute;
width:22px;
height: 3px;
left: 11px;
transition: all 0.4s ease;
 }
 .header-burger:before{
   top:10px;
 }
.header-burger:after{
top:24px;
 }
 .header-burger.active:before{
   @include rotate(rotate(-45deg));
 }
 .header-burger.active:after{
  @include rotate(rotate(45deg));
}
.header-img-wrapper img{
  max-width: 160px;
  max-height: 140px;
}
   .recent-posts{
  margin-left: 0; 
}   
.recent-posts-title{
  text-transform: uppercase;
  margin-bottom: 23px;
}
h4{
  margin:13px 0;
}
.comments {
   margin-bottom:28px ; 
span{
  font-size: 11px;
  font-weight:$font_w_normal;
  color:#7c7c7c;
}
}
.last-instagram-shot{
  @include flex;
  padding-bottom: 30px;
  overflow: hidden;
  justify-content:flex-start;
  h4{
    margin-top: 51px;
    text-transform: uppercase;
  }
}
.hiden, .hiden-lap-top{
  display: none;
  font-size: $mobile_f_size;
}
.last-inst-shot-img-wrapper{
  display: flex;
  flex-wrap: nowrap;
}
.last-inst-shot-item img {
  width: 100%;
}
.footer{
  @include flex;
  width:100%;
  background: #000;
  color:#fff;
  align-items: center;
  h4{
    text-transform: uppercase;
    margin-top: 25px;
    margin-bottom: 22px;
  }
  .text{
    text-align: center;
    margin-bottom: 26px;
  }
}
.social-m{
  display: flex;
  flex-direction: row;
  gap:5px;
}
.icon{
  @include flex_(center);
  align-items: center;
  width: 30px;
  height: 30px;
  border: 2px solid #F8902E;
  border-radius: 50%;
  .icon svg{
     width:120%;
     height:120%; 
    /* transform: scale(1.2); */
  }
}
.facebook-bc{
  border-color:#39599F;
}
.twitter-bc{
  border-color:#45B0E3
}
.dribbble-bc{
  border-color:#D97AB0;
}
.pinterest-bc{
  border-color:#CC212C;
}
  @media (min-width:768px) and (max-width:940px) {
     .wrapper{
      max-width: 940px; 
      @include flex;
      width: 100%;
      object-fit: cover;                        
      align-content: center;
       h4{
        font-size: $tablet_f_size;
        font-weight: $font_w_bold;
       }
    } 
     .container{
       @include conteiner(768px);
    } 
    .header-burger, .hiden-lap-top {
      display: none;  
    }
    .header-menu, .header-menu.active{
    @include flex_(center);
    position: static; 
    max-width: 100%;
    margin: 0;
    background: #fff;
    } 
    .header-menu>li a{
      display: block;
      color: #4E4E4E;
      text-transform: uppercase;
      padding: 5px;
      margin:40px 34px 40px 0;
      font-size: 11px;
      max-width:128px;
    }
     .header-img-wrapper{
      display:flex;
      margin-bottom: 30px;
      gap: 20px;
    } 
     .header-img-wrapper.hiden{
      display:flex;
    } 
    .hiden{
      display: block;
    }
    .last-instagram-shot{
      @include flex;
      background: rgba($color: #000000, $alpha: 0.03);
      align-items: center;
      h4{
        margin:47px 0 35px 0;
      }
    }
    .last-instagram-shot-text{
      @include flex_(space-between);
    }
    .last-inst-shot-img-wrapper{
      @include flex_(space-between);
      overflow: hidden;
      margin-left:-20px; 
      .last-inst-shot-item{
       // width:calc(33.333% - 1% * 2/3);////////////////////////
       object-fit: cover;
       flex: 1 1 250px;
      }
    }
    .last-inst-shot-item:not(:last-child){
      margin-right: 1%;
    }
  }
  @media (min-width:941px) {
    .wrapper{
       font-size: $tablet_f_size; 
    } 
   .container{
    @include conteiner(1170px);
  }
  .header-burger, .hiden-lap-top {
    display: none;  
  }
  .header-menu, .header-menu.active{
    @include flex_(center);
    position: static;
    max-width: 100%;
    margin: 0;
    background: #fff;
  } 
  .header-menu>li a{
    display: block;
    color: #4E4E4E;
    text-transform: uppercase; 
    padding: 5px;
    margin:40px 34px 40px 0;
    font-size: 11px;
    max-width:200px;
  }
    .header-img img{
    @include img;
  } 
  .header-img-wrapper{
    display:flex;
    margin-bottom: 30px;
    gap: 20px;
    width:50%;
  }
  .header-img-wrapper.hiden{
    display:flex;
  }
  .hiden, .hiden-lap-top {
    display: block;
  }
  .content-wrapper{
    display:flex;
    flex-wrap: wrap;
  }
  .last-instagram-shot{
    @include flex;
    background: rgba($color: #000000, $alpha: 0.03);
    width: 100%;
    align-items: center;
     h4{
      margin:47px 0 35px 0;
    }
  }
  .last-instagram-shot-text{
    @include flex_(space-between);
  }
  .last-inst-shot-img-wrapper{
    display: flex;
    margin-left: -20px;
  }
  .last-inst-shot-item{
    object-fit: cover;
    flex: 1 1 285px;
    margin-right: 1%;
  }
  .last-inst-shot-item:ntn-child(:last-child){
    margin-right: 0;
  }
  }